Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDeclSecurityEntry.ByValue

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>
              com.nativelibs4java.mono.MonoDeclSecurityEntry
                  com.nativelibs4java.mono.MonoDeclSecurityEntry.ByValue

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByValue, java.lang.Comparable<Structure<MonoDeclSecurityEntry,MonoDeclSecurityEntry.ByValue,MonoDeclSecurityEntry.ByReference>>

Enclosing class:
  MonoDeclSecurityEntry

    public static class MonoDeclSecurityEntry.ByValue

extends MonoDeclSecurityEntry
implements Structure.ByValue

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoDeclSecurityEntry
`MonoDeclSecurityEntry.ByReference, MonoDeclSecurityEntry.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoDeclSecurityEntry
`blob, index, size`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDeclSecurityEntry.ByValue()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoDeclSecurityEntry
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoDeclSecurityEntry.ByValue

    public MonoDeclSecurityEntry.ByValue()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD